Name:           xa
Version:        2.3.11
Release:        %mkrel 1
Summary:        6502/65816 cross-assembler

Group:          Development/Other
License:        GPLv2+
URL:            https://www.floodgap.com/retrotech/xa/
Source0:        https://www.floodgap.com/retrotech/%{name}/dists/%{name}-%{version}.tar.gz
# update the build system, reported in private email
Patch0:         %{name}-2.3.7-make.patch


%description
xa is a high-speed, two-pass portable cross-assembler. It understands
mnemonics and generates code for NMOS 6502s (such as 6502A, 6504, 6507,
6510, 7501, 8500, 8501, 8502 ...), CMOS 6502s (65C02 and Rockwell R65C02)
and the 65816.

Key amongst its features:

    * C-like preprocessor (and understands cpp for additional feature support)
    * rich expression syntax and pseudo-op vocabulary
    * multiple character sets
    * binary linking
    * supports o65 relocatable objects with a full linker and relocation suite, 
      as well as "bare" plain binary object files
    * block structure for label scoping 


%prep
%autosetup -p1

# fix encoding
for f in ChangeLog doc/xa-de.txt doc/fileformat.txt
do
    iconv -f ISO-8859-1 -t UTF-8 < $f > $f.new
    touch -r $f $f.new
    mv $f.new $f
done


%build
%make_build CFLAGS="%{optflags}"

%install
%make_install PREFIX=%_prefix

%check
# Tests fail if run in parallel
%__make test

%files
%doc ChangeLog README.1st doc/xa.txt doc/fileformat.txt
%lang(de) %doc doc/xa-de.txt
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Fri May 15 2020 danf <danf> 2.3.11-1.mga8
+ Revision: 1584186
- Upgrade to 2.3.11
- Switch http: links to https:
- Enable regression tests during packaging
- Package the german manual & the file format doc

* Fri Feb 14 2020 umeabot <umeabot> 2.3.8-2.mga8
+ Revision: 1521877
- Mageia 8 Mass Rebuild

* Thu Jan 03 2019 daviddavid <daviddavid> 2.3.8-1.mga7
+ Revision: 1348928
- new version: 2.3.8

* Sun Sep 23 2018 umeabot <umeabot> 2.3.7-3.mga7
+ Revision: 1301793
- Mageia 7 Mass Rebuild

* Wed Jan 13 2016 gw666 <gw666> 2.3.7-2.mga6
+ Revision: 922454
- rebuild

* Wed Jul 08 2015 gw666 <gw666> 2.3.7-1.mga6
+ Revision: 852734
- un-fuzz the patch
- drop patch 0
- new version 2.3.7

* Mon Oct 20 2014 gw666 <gw666> 2.3.5-1.mga5
+ Revision: 792243
- imported package xa

